Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.serialize
Class XMLIndenterPE

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.serialize.XMLIndenter
                  com.saxonica.serialize.XMLIndenterPE

All Implemented Interfaces:
  Result, Receiver

    public class XMLIndenterPE

extends XMLIndenter

XMLIndenter with extra functionality for Saxon-PE and Saxon-EE

Field Summary

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XMLIndenterPE(XMLEmitter next)`

Method Summary
`protected int` | `getIndentation()` Get the number of spaces to be used for indentation
`protected int` | `getLineLength()` Get the suggested maximum length of a line
`protected boolean` | `isDoubleSpaced(NodeName name)` Ask whether a particular element is to be double-spaced
`void` | `setOutputProperties(Properties props)` Set the properties for this indenter

Methods inherited from class net.sf.saxon.serialize.XMLIndenter
`attribute, characters, comment, endDocument, endElement, namespace, open, processingInstruction, startContent, startElement, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`append, close, getNamePool, getUnderlyingReceiver, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getConfiguration, getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLIndenterPE

    public XMLIndenterPE(XMLEmitter next)

Method Detail

### setOutputProperties

    public void setOutputProperties(Properties props)

  Set the properties for this indenter

  Overrides:
    `setOutputProperties` in class `XMLIndenter`
  Parameters:
    `props` - the serialization properties

### isDoubleSpaced

    protected boolean isDoubleSpaced(NodeName name)

  Description copied from class: `XMLIndenter`
  Ask whether a particular element is to be double-spaced

  Overrides:
    `isDoubleSpaced` in class `XMLIndenter`
  Parameters:
    `name` - the element name
  Returns:
    true if double-spacing is in effect for this element

### getIndentation

    protected int getIndentation()

  Description copied from class: `XMLIndenter`
  Get the number of spaces to be used for indentation

  Overrides:
    `getIndentation` in class `XMLIndenter`
  Returns:
    the number of spaces to be added to the indentation for each level

### getLineLength

    protected int getLineLength()

  Description copied from class: `XMLIndenter`
  Get the suggested maximum length of a line

  Overrides:
    `getLineLength` in class `XMLIndenter`
  Returns:
    the suggested maximum line length (used for wrapping attributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.